`GetFitARpMLE` <-
function(z, pvec){
P <- max(pvec)
stopifnot(length(z)>0, length(z)>P, length(pvec)>0)
ind <- rep(0, P+1)
ind[pvec] <- NA
ind[P+1] <- NA
out<-arima(z, order=c(P, 0, 0), fixed=ind,transform.pars=FALSE)
res<-resid(out)
estimates<-coef(out)
constantTerm<-as.vector(estimates[P+1])
if (P>0) {
    phiHat<-estimates[1:P]
    Iq<-InvertibleQ(phiHat)
    if (Iq)
        LL<-LoglikelihoodAR(phiHat,z, MeanValue=constantTerm)
    else
        LL<- -1e30
    }
else {
    phiHat<-numeric(0)
    Iq<-TRUE
    LL<-LoglikelihoodAR(phiHat,z, MeanValue=constantTerm)
    }
list(loglikelihood=LL, phiHat=phiHat, constantTerm=constantTerm,res=res,pvec=pvec,InvertibleQ=Iq)
}

